# include/NvApplicationProfiler.h File Reference

NVIDIA Eagle Eye API: Application Resource Profiling API More...

`#include <iostream>`
`#include <pthread.h>`
`#include <stdint.h>`
`#include <sys/time.h>`
`#include <time.h>`

Go to the source code of this file.

## Classes

class | NvApplicationProfiler
| `NvApplicationProfiler` is a helper class for profiling the overall application resource usage. More...
struct | NvApplicationProfiler::NvApplicationProfiler::NvAppProfilerData
| Holds the profiling data. More...
struct | NvApplicationProfiler::NvApplicationProfiler::ProfilerDataInternal
| Internal structure to hold resource usage readings. More...

## Detailed Description

NVIDIA Eagle Eye API: Application Resource Profiling API

Description: This file declares the NvApplicationProfiler API.

Definition in file NvApplicationProfiler.h.